Arquivo da tag: voip

voip quickstart

Ola, se você esta nessa pagina provavelmente você andou assistindo a palestra “VoIP QuickStart
aqui estão algumas informações que ficaram dificil de disponibilizar na apresentação:

Download do livro “Asterisk: The Future of Telephony”
http://cdn.oreilly.com/books/9780596510480.pdf

Download do Livro “Trixbox Without Tears”
http://dumbme.mbit.com.au/trixbox2/trixbox2_without_tears.pdf

Loquendo – Lê oque você escreve: (para criar menus testes com URA)
http://www.loquendo.com/en/demo-center/interactive-tts-demo/

Se você não assistio eu vo da uma colher de chá
ve ela agora pela web … http://vimeo.com/28350488

audios do asterisk 1.6 em pt_br

Se você esta usando a versão 1.4 do asterisk ( ou algum frontend, como o freepbx, e ele usa o asterisk 1.4 ) basta baixar os sounds disc-os-sounds_PT_BR.tgz

Descompacte o tar.gz:

tar -xvzf Disc-OS-Sounds-1.0-pt_BR.tar.gz

copie para a pasta do asterisk:

cp -R sounds /var/lib/asterisk/

nesse momento ele vai juntar os audios em PT com os originais do asterisk.

depois configure a linguagem padrão do asterisk para pt_BR:
altere a flag(ou crie essa flag) language=pt_BR
nos arquivos de configuração dos canais de audio:
sip.conf ( no caso do freepbx sip_general_custom.conf)
aix.conf ( no caso do freepbx aix_general_custom.conf )
zapata.conf ( no caso do feepbx zapata_general_custom.conf )

reinicie o asterisk:

asterisk -rx “reload”

e teste ( disque para *65 )
baixe os audios ja na estrutura correta para o asterisk 1.6:
http://www.delete.com.br/wp-content/uploads/2010/10/sounds_1.6.tar.gz

descompacte:

tar -xvzf sounds_1.6.tar.gz

copie para o diretorio do asterisk:

cp -R pt_BR /var/lib/asterisk/sounds/

depois configure a linguagem padrão do asterisk para pt_BR:
altere a flag(ou crie essa flag) language=pt_BR
nos arquivos de configuração dos canais de audio:
sip.conf ( no caso do freepbx sip_general_custom.conf)
aix.conf ( no caso do freepbx aix_general_custom.conf )
chan_dahdi.conf

instalando softfone x-lite no ubuntu

Se você ja tentou instalar o Softfone CounterPath X-Lite no ubuntu 10.04 deve ter se frustado quando foi rodar, pois ele exige uma libstc++ mais antiga que a instalada no ubuntu, a versão usada pelo ubuntu 10.04 é a 6 e a versão onde o X-lite foi compilado é a 5.
abaixo esta o erro que normalmente da:

./xtensoftphone: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

basta instalar a versão 5 da libstc++

para isso:
baixe o pacote do repositório antigo do ubuntu:
http://packages.ubuntu.com/jaunty/i386/libstdc++5/download

instale:
dpkg -i libstdc++5_3.3.6-17ubuntu1_i386.deb

ok, nossa lib ja esta instalada corretamente, agora vamos baixar o softfone:
http://www.delete.com.br/wp-content/uploads/2010/10/X-Lite_Install.tar.gz

Descompacte:

$ tar -xvzf X-Lite_Install.tar.gz

mova a pasta para o diretório padrão:

# mv xten-xlite/ /usr/local/

crie um link para facilitar a abertura do programa:

# ln -s /usr/local/xten-xlite/xtensoftphone /usr/bin/xlite

agora basta rodar:

$ xlite